Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Static Public Attributes
BTEA Class Reference

corrected Block TEA (as described in "xxtea"). More...

`#include <tea.h>`

Inheritance diagram for BTEA:

List of all members.

## Classes

class | Base
class | Dec
class | Enc

## Public Types

typedef BlockCipherFinal < ENCRYPTION, Enc > | Encryption
| implements the BlockCipher interface
typedef BlockCipherFinal < DECRYPTION, Dec > | Decryption
| implements the BlockCipher interface

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

corrected Block TEA (as described in "xxtea").

This class hasn't been tested yet.

Definition at line 95 of file tea.h.

The documentation for this class was generated from the following file:

- tea.h